io.agora.rtc

## Class PeerDownlinkInfo

- java.lang.Object
- - io.agora.rtc.PeerDownlinkInfo

-     public class PeerDownlinkInfo
      extends java.lang.Object

  Information about peer downlink stream.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `currentDownscaleLevel` Current downscale level
    `private int` | `expectedBitrateBps` Expected bitrate (bps)
    `private int` | `streamType` Stream type
    `private java.lang.String` | `userId` User ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeerDownlinkInfo()` Default constructor for PeerDownlinkInfo.
    `PeerDownlinkInfo(java.lang.String userId, int streamType, int currentDownscaleLevel, int expectedBitrateBps)` Constructs PeerDownlinkInfo with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCurrentDownscaleLevel()` Gets the current downscale level.
    `int` | `getExpectedBitrateBps()` Gets the expected bitrate (bps).
    `int` | `getStreamType()` Gets the stream type.
    `java.lang.String` | `getUid()` Gets the user ID.
    `void` | `setCurrentDownscaleLevel(int currentDownscaleLevel)` Sets the current downscale level.
    `void` | `setExpectedBitrateBps(int expectedBitrateBps)` Sets the expected bitrate (bps).
    `void` | `setStreamType(int streamType)` Sets the stream type.
    `void` | `setUid(java.lang.String userId)` Sets the user ID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userId

          private java.lang.String userId

      User ID

    - #### streamType

          private int streamType

      Stream type

    - #### currentDownscaleLevel

          private int currentDownscaleLevel

      Current downscale level

    - #### expectedBitrateBps

          private int expectedBitrateBps

      Expected bitrate (bps)

  - ### Constructor Detail

    - #### PeerDownlinkInfo

          public PeerDownlinkInfo()

      Default constructor for PeerDownlinkInfo.

    - #### PeerDownlinkInfo

          public PeerDownlinkInfo(java.lang.String userId,
                                  int streamType,
                                  int currentDownscaleLevel,
                                  int expectedBitrateBps)

      Constructs PeerDownlinkInfo with all parameters.
      Parameters:
        `userId` - User ID
        `streamType` - Stream type
        `currentDownscaleLevel` - Current downscale level
        `expectedBitrateBps` - Expected bitrate (bps)

  - ### Method Detail

    - #### getUid

          public java.lang.String getUid()

      Gets the user ID.
      Returns:
        User ID

    - #### setUid

          public void setUid(java.lang.String userId)

      Sets the user ID.
      Parameters:
        `userId` - User ID

    - #### getStreamType

          public int getStreamType()

      Gets the stream type.
      Returns:
        Stream type

    - #### setStreamType

          public void setStreamType(int streamType)

      Sets the stream type.
      Parameters:
        `streamType` - Stream type

    - #### getCurrentDownscaleLevel

          public int getCurrentDownscaleLevel()

      Gets the current downscale level.
      Returns:
        Current downscale level

    - #### setCurrentDownscaleLevel

          public void setCurrentDownscaleLevel(int currentDownscaleLevel)

      Sets the current downscale level.
      Parameters:
        `currentDownscaleLevel` - Current downscale level

    - #### getExpectedBitrateBps

          public int getExpectedBitrateBps()

      Gets the expected bitrate (bps).
      Returns:
        Expected bitrate (bps)

    - #### setExpectedBitrateBps

          public void setExpectedBitrateBps(int expectedBitrateBps)

      Sets the expected bitrate (bps).
      Parameters:
        `expectedBitrateBps` - Expected bitrate (bps)